org.eclipse.jetty.util.preventers

## Class AWTLeakPreventer

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.preventers.AbstractLeakPreventer
    - - org.eclipse.jetty.util.preventers.AWTLeakPreventer

All Implemented Interfaces:
  LifeCycle

    public class AWTLeakPreventer
    extends AbstractLeakPreventer

AWTLeakPreventer See https://issues.jboss.org/browse/AS7-3733 The java.awt.Toolkit class has a static field that is the default toolkit. Creating the default toolkit causes the creation of an EventQueue, which has a classloader field initialized by the thread context class loader.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`LOG`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`AWTLeakPreventer()`

### Method Summary

Methods
`void` `prevent(ClassLoader loader)`

### Methods inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`doStart`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, doStop, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AWTLeakPreventer

    public AWTLeakPreventer()

### Method Detail

#### prevent

    public void prevent(ClassLoader loader)

Specified by:
  `prevent` in class `AbstractLeakPreventer`
See Also:
  `AbstractLeakPreventer.prevent(java.lang.ClassLoader)`